Get a voice agent

The agent as stored, without its signing secret.

GET
/v3/voice/agents/{id}

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v3/voice/agents/string"
{
  "success": true,
  "data": {
    "id": "string",
    "name": "string",
    "session_type": "string",
    "websocket_url": "string",
    "speech": {
      "setting": "string",
      "voice": "string",
      "language": "string"
    },
    "audio": {
      "sample_rate": 0
    },
    "greeting": "string",
    "tools": [
      "string"
    ],
    "transfer_targets": [
      {
        "kind": "string",
        "value": "string"
      }
    ],
    "fallback": {
      "kind": "string",
      "value": "string"
    },
    "limits": {
      "max_call_seconds": 0,
      "max_concurrent_calls": 0,
      "allowed_countries": [
        "string"
      ]
    },
    "transcripts": {
      "store": true,
      "retention_days": 0
    },
    "signing_secret": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "doc_url": "string"
  },
  "meta": {
    "request_id": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "version": "string"
  }
}
{
  "success": true,
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "doc_url": "string"
  },
  "meta": {
    "request_id": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "version": "string"
  }
}
Empty
Empty
{
  "success": true,
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "doc_url": "string"
  },
  "meta": {
    "request_id": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "version": "string"
  }
}